## org.opengis.referencing.crs
Interface GeodeticCRS

All Superinterfaces:
  CoordinateReferenceSystem, IdentifiedObject, ReferenceSystem, SingleCRS

All Known Subinterfaces:
  GeocentricCRS, GeographicCRS

    @UML(identifier="SC_GeodeticCRS",
         specification=ISO_19111)
    public interface GeodeticCRS

extends SingleCRS

A coordinate reference system associated with a geodetic datum.

Used with CS type(s)
`Cartesian` `Spherical` `Ellipsoidal`

Since:
  GeoAPI 2.1
Version:
  Abstract specification 2.0

Field Summary

Fields inherited from interface ReferenceSystem
`DOMAIN_OF_VALIDITY_KEY, SCOPE_KEY, VALID_AREA_KEY`

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary

Methods inherited from interface SingleCRS
`getCoordinateSystem, getDatum`

Methods inherited from interface ReferenceSystem
`getDomainOfValidity, getScope, getValidArea`

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getName, getRemarks, toWKT`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.